package com.youmotic.carpasol.youmotic;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;

import java.util.Vector;

/**
 * Created by Carlos Pascual Olmos on 25/08/2015.
 */
public class AdaptadorDibujos extends BaseAdapter {
    private LayoutInflater inflador;
    protected Vector<Dibujo> vectorDibujos;

    public AdaptadorDibujos(Context contexto, Vector<Dibujo> vectorDibujos) {
        inflador = (LayoutInflater) contexto
                .getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        this.vectorDibujos = vectorDibujos;
    }

    public View getView(int posicion, View vistaReciclada, ViewGroup padre) {
        Dibujo dibujo = vectorDibujos.elementAt(posicion);
        if (vistaReciclada == null) {
            vistaReciclada = inflador.inflate(R.layout.elemento_selector, null);
        }

        ImageView portada = (ImageView) vistaReciclada
                .findViewById(R.id.portada);
        portada.setImageResource(dibujo.recursoImagen);
        portada.setScaleType(ImageView.ScaleType.CENTER_INSIDE);
        return vistaReciclada;

    }

    public int getCount() { //método que devuelve el número de dibujos.
        return vectorDibujos.size();
    }

    public Object getItem(int posicion) {
        return vectorDibujos.elementAt(posicion);
    }

    public long getItemId(int posicion) {
        return posicion;
    }
}
