package com.youmotic.carpasol.youmotic;

import android.content.Context;

import java.util.Vector;

/**
 * Created by Carlos Pascual Olmos on 25/08/2015.
 */
public class AdaptadorDibujosFiltro extends AdaptadorDibujos {

    private String clase = "";
    private Vector<Dibujo> vectorSinFiltro;
    private Vector<Integer> indiceFiltro;

    public AdaptadorDibujosFiltro(Context contexto, Vector<Dibujo> vectorDibujos) {
        super(contexto, vectorDibujos);
        vectorSinFiltro = vectorDibujos;
        recalculaFiltro();
    }

    public void setClase(String clase) {
        this.clase = clase;
        recalculaFiltro();
    }

    public String getClase() {
        return clase;
    }


    public void recalculaFiltro() {
        vectorDibujos = new Vector<Dibujo>();
        indiceFiltro = new Vector<Integer>();
        for (int i = 0; i < vectorSinFiltro.size(); i++) {
            Dibujo dibujo = vectorSinFiltro.elementAt(i);
            if (dibujo.clase.startsWith(clase)) {
                vectorDibujos.add(dibujo);
                indiceFiltro.add(i);
            }
        }
    }
}
