package com.youmotic.carpasol.youmotic;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;

import java.util.Vector;

/**
 * Created by Carlos Pascual Olmos on 25/08/2015.
 */
public class AdaptadorGaleria extends RecyclerView.Adapter<AdaptadorGaleria.ViewHolder> {

    private LayoutInflater inflador;
    protected Vector<YouMotic> vectorYouMotics;
    private View.OnClickListener onClickListener;


    public AdaptadorGaleria(Context contexto, Vector<YouMotic> vectorYouMotics) {
        inflador = (LayoutInflater) contexto.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        notifyDataSetChanged();
        this.vectorYouMotics = vectorYouMotics;

    }

    public static class ViewHolder extends RecyclerView.ViewHolder {
        public ImageView imagen;

        public ViewHolder(View itemView) {
            super(itemView);
            imagen = (ImageView) itemView.findViewById(R.id.imagen_galeria);
            imagen.setScaleType(ImageView.ScaleType.CENTER_INSIDE);
        }
    }

    @Override
    public ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
    // Inflamos la vista desde el xml

        View v = inflador.inflate(R.layout.selector_galeria, null);
        v.setOnClickListener(onClickListener);
        return new ViewHolder(v);
    }

    @Override
    public void onBindViewHolder(ViewHolder holder, int posicion) {
        YouMotic youmotic = vectorYouMotics.elementAt(posicion);
        holder.imagen.setImageBitmap(youmotic.ARRAY_BITMAP.get(posicion));
    }

    @Override
    public int getItemCount() {

        return vectorYouMotics.size();
    }


}

