package com.youmotic.carpasol.youmotic;

import java.util.Locale;
import java.util.ResourceBundle;
import java.util.Vector;

/**
 * Created by Carlos Pascual Olmos on 25/08/2015.
 */
public class Dibujo {
    public String titulo; // titulo del dibujo
    public int recursoImagen; // recurso de la imagen que se carga
    public String clase;   // clase de dibujo (ojos, boca, cejas,etc)
    public Boolean introducido; // Booleano que indica si está ya introducido o no en el emoticono


    public final static String CLASE_OJOS = "Ojos";
    public final static String CLASE_BOCAS = "Bocas";
    public final static String CLASE_CEJAS = "Cejas";
    public final static String CLASE_BIGOTES = "Bigotes";
    public final static String CLASE_CARAS = "Caras";
    public final static String CLASE_ACCESORIOS = "Accesorios";
    public final static String CLASE_PUPILAS = "Pupilas";
    public final static String CLASE_PELO = "Pelo";
    public final static String CLASE_MOFLETES = "Mofletes";
    public final static String CLASE_NARICES = "Narices";
    public final static String CLASE_BARBAS = "Barbas";

    public final static String[] CLASE_ARRAY = new String[]{CLASE_OJOS, CLASE_BOCAS,
            CLASE_CEJAS, CLASE_BIGOTES, CLASE_CARAS, CLASE_ACCESORIOS, CLASE_PUPILAS, CLASE_PELO, CLASE_MOFLETES, CLASE_NARICES, CLASE_BARBAS};

    public Dibujo(String titulo, int recursoImagen,
                  String clase, Boolean introducido) {
        this.titulo = titulo;
        this.recursoImagen = recursoImagen;
        this.clase = clase;
        this.introducido = introducido;
    }

    public static Vector<Dibujo> ejemploDibujos() {

        Vector<Dibujo> dibujos = new Vector<Dibujo>();

        dibujos.add(new Dibujo("Cuadrada",
                R.drawable.pupilas_0_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Sin cara",
                R.drawable.cara_1_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Redonda",
                R.drawable.cara_2_200,
                CLASE_CARAS, true));
        dibujos.add(new Dibujo("Gorda",
                R.drawable.cara_3_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Delgada",
                R.drawable.cara_4_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Cuadrada",
                R.drawable.cara_5_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Trapezoidal",
                R.drawable.cara_6_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Redonda",
                R.drawable.cara_7_200,
                CLASE_CARAS, true));
        dibujos.add(new Dibujo("Gorda",
                R.drawable.cara_8_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Delgada",
                R.drawable.cara_9_200,
                CLASE_CARAS, false));

        dibujos.add(new Dibujo("Delgada",
                R.drawable.cara_10_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Cuadrada",
                R.drawable.cara_11_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Trapezoidal",
                R.drawable.cara_12_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Redonda",
                R.drawable.cara_13_200,
                CLASE_CARAS, true));
        dibujos.add(new Dibujo("Gorda",
                R.drawable.cara_14_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Delgada",
                R.drawable.cara_15_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Delgada",
                R.drawable.cara_16_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Delgada",
                R.drawable.cara_17_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Delgada",
                R.drawable.cara_18_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Delgada",
                R.drawable.cara_19_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Delgada",
                R.drawable.cara_20_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Delgada",
                R.drawable.cara_21_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Delgada",
                R.drawable.cara_22_200,
                CLASE_CARAS, false));
        dibujos.add(new Dibujo("Delgada",
                R.drawable.cara_23_200,
                CLASE_CARAS, false));

        dibujos.add(new Dibujo("Green Loco",
                R.drawable.pupilas_0_200,
                CLASE_OJOS, false));
        dibujos.add(new Dibujo("Green Loco",
                R.drawable.ojos_6_200,
                CLASE_OJOS, false));
        dibujos.add(new Dibujo("Desconfiado",
                R.drawable.ojos_1_200,
                CLASE_OJOS, false));
        dibujos.add(new Dibujo("Blue Desconfiado",
                R.drawable.ojos_2_200,
                CLASE_OJOS, false));
        dibujos.add(new Dibujo("Green Desconfiado",
                R.drawable.ojos_3_200,
                CLASE_OJOS, false));
        dibujos.add(new Dibujo("Ojos Descojone",
                R.drawable.ojos_4_200,
                CLASE_OJOS, false));
        dibujos.add(new Dibujo("Ojos Risa",
                R.drawable.ojos_5_200,
                CLASE_OJOS, false));
        dibujos.add(new Dibujo("Ojos Risa",
                R.drawable.ojos_6_200,
                CLASE_OJOS, false));
        dibujos.add(new Dibujo("Ojos Risa",
                R.drawable.ojos_7_200,
                CLASE_OJOS, false));

        dibujos.add(new Dibujo("Green Loco",
                R.drawable.pupilas_0_200,
                CLASE_PUPILAS, false));
        dibujos.add(new Dibujo("Green Loco",
                R.drawable.pupilas_1_200,
                CLASE_PUPILAS, false));
        dibujos.add(new Dibujo("Green Loco",
                R.drawable.pupilas_2_200,
                CLASE_PUPILAS, false));
        dibujos.add(new Dibujo("Green Loco",
                R.drawable.pupilas_3_200,
                CLASE_PUPILAS, false));
        dibujos.add(new Dibujo("Green Loco",
                R.drawable.pupilas_4_200,
                CLASE_PUPILAS, false));
        dibujos.add(new Dibujo("Green Loco",
                R.drawable.pupilas_5_200,
                CLASE_PUPILAS, false));
        dibujos.add(new Dibujo("Green Loco",
                R.drawable.pupilas_6_200,
                CLASE_PUPILAS, false));
        dibujos.add(new Dibujo("Green Loco",
                R.drawable.pupilas_7_200,
                CLASE_PUPILAS, false));
        dibujos.add(new Dibujo("Green Loco",
                R.drawable.pupilas_8_200,
                CLASE_PUPILAS, false));
        dibujos.add(new Dibujo("Green Loco",
                R.drawable.pupilas_9_200,
                CLASE_PUPILAS, false));
        dibujos.add(new Dibujo("Green Loco",
                R.drawable.pupilas_10_200,
                CLASE_PUPILAS, false));
        dibujos.add(new Dibujo("Green Loco",
                R.drawable.pupilas_11_200,
                CLASE_PUPILAS, false));
        dibujos.add(new Dibujo("Green Loco",
                R.drawable.pupilas_12_200,
                CLASE_PUPILAS, false));
        dibujos.add(new Dibujo("Green Loco",
                R.drawable.pupilas_13_200,
                CLASE_PUPILAS, false));
        dibujos.add(new Dibujo("Green Loco",
                R.drawable.pupilas_14_200,
                CLASE_PUPILAS, false));
        dibujos.add(new Dibujo("Green Loco",
                R.drawable.pupilas_15_200,
                CLASE_PUPILAS, false));

        dibujos.add(new Dibujo("Pelos",
                R.drawable.pupilas_0_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_1_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_2_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_3_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_4_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_5_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_6_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_7_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_8_200,
                CLASE_PELO, false));

        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_9_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_10_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_11_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_12_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_13_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_14_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_15_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_16_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_17_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_18_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_19_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_20_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_21_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_22_200,
                CLASE_PELO, false));

        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_23_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_24_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_25_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_26_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_27_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_28_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_29_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_30_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_31_200,
                CLASE_PELO, false));
        dibujos.add(new Dibujo("Pelos",
                R.drawable.pelo_32_200,
                CLASE_PELO, false));

        dibujos.add(new Dibujo("Sin cejas",
                R.drawable.pupilas_0_200,
                CLASE_CEJAS, false));
        dibujos.add(new Dibujo("Cejas Malo",
                R.drawable.cejas_3_200,
                CLASE_CEJAS, false));
        dibujos.add(new Dibujo("Cejas Malo",
                R.drawable.cejas_1_200,
                CLASE_CEJAS, false));
        dibujos.add(new Dibujo("Cejas Malo",
                R.drawable.cejas_2_200,
                CLASE_CEJAS, false));
        dibujos.add(new Dibujo("Cejas Rizo",
                R.drawable.cejas_4_200,
                CLASE_CEJAS, false));

        dibujos.add(new Dibujo("Sin boca",
                R.drawable.pupilas_0_200,
                CLASE_BOCAS, false));
        dibujos.add(new Dibujo("Sin boca",
                R.drawable.boca_1_200,
                CLASE_BOCAS, false));
        dibujos.add(new Dibujo("Sin boca",
                R.drawable.boca_2_200,
                CLASE_BOCAS, false));
        dibujos.add(new Dibujo("Sin boca",
                R.drawable.boca_3_200,
                CLASE_BOCAS, false));
        dibujos.add(new Dibujo("Sin boca",
                R.drawable.boca_4_200,
                CLASE_BOCAS, false));
        dibujos.add(new Dibujo("Sin boca",
                R.drawable.boca_5_200,
                CLASE_BOCAS, false));
        dibujos.add(new Dibujo("Sin boca",
                R.drawable.boca_6_200,
                CLASE_BOCAS, false));
        dibujos.add(new Dibujo("Sin boca",
                R.drawable.boca_7_200,
                CLASE_BOCAS, false));
        dibujos.add(new Dibujo("Sin boca",
                R.drawable.boca_8_200,
                CLASE_BOCAS, false));
        dibujos.add(new Dibujo("Sin boca",
                R.drawable.boca_9_200,
                CLASE_BOCAS, false));
        dibujos.add(new Dibujo("Sin boca",
                R.drawable.boca_10_200,
                CLASE_BOCAS, false));
        dibujos.add(new Dibujo("Sin boca",
                R.drawable.boca_11_200,
                CLASE_BOCAS, false));
        dibujos.add(new Dibujo("Sin boca",
                R.drawable.boca_12_200,
                CLASE_BOCAS, false));
        dibujos.add(new Dibujo("Sin boca",
                R.drawable.boca_13_200,
                CLASE_BOCAS, false));
        dibujos.add(new Dibujo("Sin boca",
                R.drawable.boca_14_200,
                CLASE_BOCAS, false));
        dibujos.add(new Dibujo("Sin boca",
                R.drawable.boca_15_200,
                CLASE_BOCAS, false));

        dibujos.add(new Dibujo("Sin bigote",
                R.drawable.pupilas_0_200,
                CLASE_BIGOTES, false));
        dibujos.add(new Dibujo("Sin bigote",
                R.drawable.bigote_1_200,
                CLASE_BIGOTES, false));
        dibujos.add(new Dibujo("Sin bigote",
                R.drawable.bigote_2_200,
                CLASE_BIGOTES, false));
        dibujos.add(new Dibujo("Sin bigote",
                R.drawable.bigote_3_200,
                CLASE_BIGOTES, false));
        dibujos.add(new Dibujo("Sin bigote",
                R.drawable.bigote_4_200,
                CLASE_BIGOTES, false));

        dibujos.add(new Dibujo("Sin Accesorios",
                R.drawable.pupilas_0_200,
                CLASE_ACCESORIOS, false));
        dibujos.add(new Dibujo("Sin Accesorios",
                R.drawable.gafas_1_200,
                CLASE_ACCESORIOS, false));
        dibujos.add(new Dibujo("Sin Accesorios",
                R.drawable.gafas_2_200,
                CLASE_ACCESORIOS, false));
        dibujos.add(new Dibujo("Sin Accesorios",
                R.drawable.gafas_3_200,
                CLASE_ACCESORIOS, false));
        dibujos.add(new Dibujo("Sin Accesorios",
                R.drawable.gafas_4_200,
                CLASE_ACCESORIOS, false));
        dibujos.add(new Dibujo("Sin Accesorios",
                R.drawable.gafas_5_200,
                CLASE_ACCESORIOS, false));
        dibujos.add(new Dibujo("Sin Accesorios",
                R.drawable.gafas_6_200,
                CLASE_ACCESORIOS, false));
        dibujos.add(new Dibujo("Sin Accesorios",
                R.drawable.gafas_7_200,
                CLASE_ACCESORIOS, false));
        dibujos.add(new Dibujo("Sin Accesorios",
                R.drawable.gafas_8_200,
                CLASE_ACCESORIOS, false));
        dibujos.add(new Dibujo("Sin Accesorios",
                R.drawable.japon_200,
                CLASE_ACCESORIOS, false));
        dibujos.add(new Dibujo("Sin Accesorios",
                R.drawable.harry_200,
                CLASE_ACCESORIOS, false));
        dibujos.add(new Dibujo("Sin Accesorios",
                R.drawable.krilin_200,
                CLASE_ACCESORIOS, false));
        dibujos.add(new Dibujo("Sin Accesorios",
                R.drawable.satanas_200,
                CLASE_ACCESORIOS, false));
        dibujos.add(new Dibujo("Sin Accesorios",
                R.drawable.parche_1_200,
                CLASE_ACCESORIOS, false));

        dibujos.add(new Dibujo("Mofletes Rojos",
                R.drawable.pupilas_0_200,
                CLASE_MOFLETES, false));
        dibujos.add(new Dibujo("Mofletes Rojos",
                R.drawable.mofletes_1_200,
                CLASE_MOFLETES, false));
        dibujos.add(new Dibujo("Mofletes Rojos",
                R.drawable.mofletes_2_200,
                CLASE_MOFLETES, false));
        dibujos.add(new Dibujo("Mofletes Rojos",
                R.drawable.mofletes_3_200,
                CLASE_MOFLETES, false));
        dibujos.add(new Dibujo("Mofletes Rojos",
                R.drawable.mofletes_4_200,
                CLASE_MOFLETES, false));
        dibujos.add(new Dibujo("Mofletes Rojos",
                R.drawable.mofletes_5_200,
                CLASE_MOFLETES, false));
        dibujos.add(new Dibujo("Mofletes Rojos",
                R.drawable.mofletes_6_200,
                CLASE_MOFLETES, false));

        dibujos.add(new Dibujo("Nariz",
                R.drawable.pupilas_0_200,
                CLASE_NARICES, false));
        dibujos.add(new Dibujo("Nariz",
                R.drawable.nariz_1_200,
                CLASE_NARICES, false));
        dibujos.add(new Dibujo("Nariz",
                R.drawable.nariz_2_200,
                CLASE_NARICES, false));
        dibujos.add(new Dibujo("Nariz",
                R.drawable.nariz_3_200,
                CLASE_NARICES, false));
        dibujos.add(new Dibujo("Nariz",
                R.drawable.nariz_4_200,
                CLASE_NARICES, false));
        dibujos.add(new Dibujo("Nariz",
                R.drawable.nariz_5_200,
                CLASE_NARICES, false));

        dibujos.add(new Dibujo("Barba",
                R.drawable.pupilas_0_200,
                CLASE_BARBAS, false));
        dibujos.add(new Dibujo("Barba",
                R.drawable.barba_1_200,
                CLASE_BARBAS, false));
        dibujos.add(new Dibujo("Barba",
                R.drawable.barba_2_200,
                CLASE_BARBAS, false));
        dibujos.add(new Dibujo("Barba",
                R.drawable.barba_3_200,
                CLASE_BARBAS, false));

        return dibujos;
    }


}
