package com.youmotic.carpasol.youmotic;


import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.GridLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.util.Log;
import android.view.View;
import android.widget.Toast;

import com.facebook.share.model.SharePhoto;
import com.facebook.share.model.SharePhotoContent;
import com.facebook.share.widget.ShareDialog;
import java.io.File;
import java.util.Vector;

import static com.youmotic.carpasol.youmotic.YouMotic.ARRAY_BITMAP;

/**
 * Created by Carlos Pascual Olmos on 25/08/2015.
 */

public class Galeria extends AppCompatActivity {
    private RecyclerView recyclerView;
    private RecyclerView.LayoutManager layoutManager;
    protected Vector<YouMotic> vectorYouMotics;
    boolean tabletSize;
    int posicionclick = 0;
    public File ruta;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.activity_galeria);
        ObjetosGlobales app = (ObjetosGlobales) getApplication();
        recyclerView = (RecyclerView) findViewById(R.id.recycler_view);
        recyclerView.setAdapter(app.getAdaptadorGaleria());
        tabletSize = getResources().getBoolean(R.bool.isTablet);
        if (tabletSize) {
            layoutManager = new GridLayoutManager(this, 5);
        } else {
            layoutManager = new GridLayoutManager(this, 4);
        }

        ruta = new File(Environment.getExternalStorageDirectory() + "/Android/data/com.youmotic.carpasol.youmotic/images/");

        recyclerView.addOnItemTouchListener(
                new RecyclerItemClickListener(Galeria.this, new RecyclerItemClickListener.OnItemClickListener() {
                    @Override
                    public void onItemClick(View view, int position) {

                        posicionclick = position;
                        File[] files = ruta.listFiles();
                        File file = files[posicionclick];
                        final String string_imagen = Environment.getExternalStorageDirectory() + "/Android/data/com.youmotic.carpasol.youmotic/images/" + file.getName();

                        AlertDialog.Builder alerta = new AlertDialog.Builder(Galeria.this);
                        alerta.setTitle("YouMotic MSG");
                        alerta.setMessage("¿Would you like to share this?");
                        alerta.setCancelable(true);
                        alerta.setNegativeButton("Facebook", new DialogInterface.OnClickListener() {
                            public void onClick(DialogInterface dialogo1, int id) {

                                try{
                                    ApplicationInfo info = getPackageManager().
                                            getApplicationInfo("com.facebook.katana", 0 );
                                    BitmapFactory.Options options = new BitmapFactory.Options();
                                    options.inPreferredConfig = Bitmap.Config.ARGB_8888;
                                    Bitmap myBitmap;
                                    myBitmap = YouMotic.ARRAY_BITMAP.get(posicionclick);
                                    myBitmap.setHasAlpha(true);
                                    SharePhoto photo = new SharePhoto.Builder()
                                            .setBitmap(myBitmap)
                                            .build();
                                    SharePhotoContent contenido = new SharePhotoContent.Builder().addPhoto(photo).build();

                                    ShareDialog dialog = new ShareDialog(Galeria.this);
                                    if (ShareDialog.canShow(SharePhotoContent.class)) {
                                        dialog.show(contenido);
                                    } else {
                                        Log.d("Activity", "you cannot share photos :(");
                                    }
                                } catch( PackageManager.NameNotFoundException e ){
                                    Toast.makeText(Galeria.this, "PLEASE INSTALL THE FACEBOOK APP", Toast.LENGTH_LONG).show();
                                }


                            }
                        });

                        alerta.setPositiveButton("WhatsApp", new DialogInterface.OnClickListener() {
                            public void onClick(DialogInterface dialogo1, int id) {
                                Intent comparte = new Intent(Intent.ACTION_SEND);
                                Uri pngUri = Uri.parse(string_imagen);
                                comparte.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                                comparte.putExtra(Intent.EXTRA_STREAM, pngUri);

                                comparte.setType("image/png");
                                comparte.setPackage("com.whatsapp");
                                startActivity(Intent.createChooser(comparte, "Share image using"));
                            }
                        });


                        alerta.setNeutralButton("Delete YouMotic", new DialogInterface.OnClickListener() {
                            public void onClick(DialogInterface dialogo1, int id) {
                                try {
                                    File[] files = ruta.listFiles();
                                    File file = files[posicionclick];
                                    file.delete();

                                    Toast.makeText(Galeria.this, "Done, Youmotic Canceled", Toast.LENGTH_SHORT).show();
                                } catch (Error e) {
                                }

                                ObjetosGlobales app = (ObjetosGlobales) getApplication();
                                recyclerView = (RecyclerView) findViewById(R.id.recycler_view);
                                recyclerView.setAdapter(app.getAdaptadorGaleria());

                                if (tabletSize) {
                                    layoutManager = new GridLayoutManager(Galeria.this, 5);
                                } else {
                                    layoutManager = new GridLayoutManager(Galeria.this, 4);
                                }


                                recyclerView.setLayoutManager(layoutManager);

                            }
                        });
                        alerta.show();

                    }
                })
        );
        recyclerView.setLayoutManager(layoutManager);
    }


    @Override
    protected void onResume() {
        super.onResume();

        ObjetosGlobales app = (ObjetosGlobales) getApplication();
        recyclerView = (RecyclerView) findViewById(R.id.recycler_view);
        recyclerView.setAdapter(app.getAdaptadorGaleria());
        if (tabletSize) {
            layoutManager = new GridLayoutManager(Galeria.this, 5);
        } else {
            layoutManager = new GridLayoutManager(Galeria.this, 4);
        }
        recyclerView.setLayoutManager(layoutManager);
    }


    @Override
    protected void onPause() {
        super.onPause();

    }

    @Override
    protected void onStop() {
        super.onStop();

    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        System.gc();
    }
}
