package com.youmotic.carpasol.youmotic;

/**
 * Created by Carlos Pascual Olmos on 25/08/2015.
 */

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.os.Bundle;
import android.os.Environment;
import android.support.v7.app.ActionBarActivity;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;

import com.youmotic.carpasol.youmotic.fragments.DetalleFragment;

import java.io.File;
import java.io.FileOutputStream;
import java.util.Calendar;

import com.google.android.gms.ads.AdRequest;
import com.google.android.gms.ads.AdView;


public class MrYouMotic extends ActionBarActivity {

    public static AdaptadorDibujosFiltro adaptador;
    public int longitudVector;
    public File ruta;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        adaptador = ((ObjetosGlobales) getApplicationContext()).getAdaptador();
        adaptador.setClase(Dibujo.CLASE_ARRAY[4]);
        adaptador.notifyDataSetChanged();
        setContentView(R.layout.activity_main);
        ruta = new File(Environment.getExternalStorageDirectory() + "/Android/data/com.youmotic.carpasol.youmotic/images/");
        if (!ruta.exists()) {
            ruta.mkdirs();
        }
      AdView mAdView = (AdView) findViewById(R.id.adView);
      AdRequest adRequest = new AdRequest.Builder().build();
      mAdView.loadAd(adRequest);


    }

    public void mostrarDetalle(int id) {
        DetalleFragment detalleFragment = (DetalleFragment)
                getSupportFragmentManager().findFragmentById(R.id.detalle_fragment);
        if (detalleFragment != null) {
            detalleFragment.ponInfoDibujo(id);
        }
    }

    public static Bitmap loadBitmapFromView(View view) {

        int widthSpec = View.MeasureSpec.makeMeasureSpec(
                view.getMeasuredWidth(), View.MeasureSpec.AT_MOST);
        int heightSpec = View.MeasureSpec.makeMeasureSpec(
                view.getMeasuredHeight(), View.MeasureSpec.AT_MOST);
        view.measure(widthSpec, heightSpec);
        view.layout(view.getLeft(), view.getTop(), view.getMeasuredWidth() + view.getLeft(), view.getMeasuredHeight() + view.getTop());
        Bitmap bitmap = Bitmap.createBitmap(view.getWidth(), view.getHeight(), Bitmap.Config.ARGB_8888);
        bitmap.eraseColor(Color.TRANSPARENT);
        Canvas c = new Canvas(bitmap);
        c.drawColor(Color.argb(0, 255, 255, 255));
        c.translate(-view.getScrollX(), -view.getScrollY());
        view.draw(c);
        return bitmap;
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {

        getMenuInflater().inflate(R.menu.menu_actividad_principal, menu);
        return super.onCreateOptionsMenu(menu);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            case R.id.menu_volver:
                System.gc();
                finish();
                break;

            case R.id.menu_guarda:
                ((TextView) (DetalleFragment.vista).findViewById(R.id.choose_text)).setText("");
                ((DetalleFragment.vista).findViewById(R.id.adView)).setAlpha(0);
                String fileName = "youmotic_" + String.valueOf(Calendar.getInstance().getTimeInMillis());
                String imagePath = ruta.toString() + File.separator + fileName + ".png";
                File[] files = ruta.listFiles();
                if (files!=null) {
                     longitudVector = files.length;
                }
                else{
                     longitudVector=0;
                }

                try {

                    if (longitudVector<21){
                        FileOutputStream out = new FileOutputStream(imagePath);
                        Bitmap bitmap = loadBitmapFromView(DetalleFragment.vista);
                        bitmap.setHasAlpha(true);
                        bitmap.compress(Bitmap.CompressFormat.PNG, 100, out);
                        out.flush();
                        out.close();
                        Toast.makeText(this, "YEAH, YOUMOTIC SAVED", Toast.LENGTH_LONG).show();

                    }else{

                        Toast.makeText(this, "YOU HAVE MORE THAN 20 YOUMOTICS, PLEASE DELETE AT LEAST ONE OF THEM TO CONTINUE SAVING.THANKS", Toast.LENGTH_LONG).show();
                    }




                } catch (Exception error) {
                    Log.e("Error saving image", error.getMessage());
                }
                ((DetalleFragment.vista).findViewById(R.id.adView)).setAlpha(1);
                break;

            case R.id.menu_partes_cara_cara:
                ((TextView) (DetalleFragment.vista).findViewById(R.id.choose_text)).setText("Choosing Faces");

                adaptador.setClase(Dibujo.CLASE_ARRAY[4]);
                adaptador.notifyDataSetChanged();

                break;
            case R.id.menu_partes_cara_ojos:
                ((TextView) (DetalleFragment.vista).findViewById(R.id.choose_text)).setText("Choosing Eyes");
                adaptador.setClase(Dibujo.CLASE_ARRAY[0]);
                adaptador.notifyDataSetChanged();
                break;

            case R.id.menu_partes_cara_pupilas:
                ((TextView) (DetalleFragment.vista).findViewById(R.id.choose_text)).setText("Choosing Pupils");
                adaptador.setClase(Dibujo.CLASE_ARRAY[6]);
                adaptador.notifyDataSetChanged();
                break;

            case R.id.menu_partes_cara_pelo:
                ((TextView) (DetalleFragment.vista).findViewById(R.id.choose_text)).setText("Choosing Hairs");
                adaptador.setClase(Dibujo.CLASE_ARRAY[7]);
                adaptador.notifyDataSetChanged();
                break;
            case R.id.menu_partes_cara_mofletes:
                ((TextView) (DetalleFragment.vista).findViewById(R.id.choose_text)).setText("Choosing Cheeks");
                adaptador.setClase(Dibujo.CLASE_ARRAY[8]);
                adaptador.notifyDataSetChanged();
                break;

            case R.id.menu_partes_cara_bocas:
                ((TextView) (DetalleFragment.vista).findViewById(R.id.choose_text)).setText("Choosing Mouths");
                adaptador.setClase(Dibujo.CLASE_ARRAY[1]);
                adaptador.notifyDataSetChanged();
                break;
            case R.id.menu_partes_cara_bigotes:
                ((TextView) (DetalleFragment.vista).findViewById(R.id.choose_text)).setText("Choosing Mustaches");
                adaptador.setClase(Dibujo.CLASE_ARRAY[3]);
                adaptador.notifyDataSetChanged();
                break;
            case R.id.menu_partes_cara_accesorios:
                ((TextView) (DetalleFragment.vista).findViewById(R.id.choose_text)).setText("Choosing Accessories");
                adaptador.setClase(Dibujo.CLASE_ARRAY[5]);
                adaptador.notifyDataSetChanged();
                break;
            case R.id.menu_partes_cara_cejas:
                ((TextView) (DetalleFragment.vista).findViewById(R.id.choose_text)).setText("Choosing Eyebrows");
                adaptador.setClase(Dibujo.CLASE_ARRAY[2]);
                adaptador.notifyDataSetChanged();
                break;
            case R.id.menu_partes_cara_narices:
                ((TextView) (DetalleFragment.vista).findViewById(R.id.choose_text)).setText("Choosing Noses");
                adaptador.setClase(Dibujo.CLASE_ARRAY[9]);
                adaptador.notifyDataSetChanged();
                break;
            case R.id.menu_partes_cara_barbas:
                ((TextView) (DetalleFragment.vista).findViewById(R.id.choose_text)).setText("Choosing Beards");
                adaptador.setClase(Dibujo.CLASE_ARRAY[10]);
                adaptador.notifyDataSetChanged();
                break;
        }
        return false;
    }
}


