package com.youmotic.carpasol.youmotic;

import android.app.Application;
import android.view.ViewConfiguration;

import java.lang.reflect.Field;
import java.util.Vector;

/**
 * Created by Carlos Pascual Olmos on 25/08/2015.
 */
public class ObjetosGlobales extends Application {

    private Vector<Dibujo> vectorDibujos;
    private AdaptadorDibujosFiltro adaptador;
    private AdaptadorGaleria adaptadorGaleria;
    private Vector<YouMotic> vectorYouMotics;

    @Override
    public void onCreate() {
        super.onCreate();

        try {
            ViewConfiguration config = ViewConfiguration.get(this);
            Field menuKeyField = ViewConfiguration.class.getDeclaredField("sHasPermanentMenuKey");

            if (menuKeyField != null) {
                menuKeyField.setAccessible(true);
                menuKeyField.setBoolean(config, false);
            }
        } catch (Exception e) {
        }
        vectorDibujos = Dibujo.ejemploDibujos();
        vectorYouMotics = YouMotic.ejemploYouMotics();
        adaptador = new AdaptadorDibujosFiltro(this, vectorDibujos);
        adaptadorGaleria = new AdaptadorGaleria(this, vectorYouMotics);
    }


    public void refresca() {
        vectorYouMotics = YouMotic.ejemploYouMotics();
        adaptadorGaleria = new AdaptadorGaleria(this, vectorYouMotics);
    }

    public AdaptadorDibujosFiltro getAdaptador() {
        return adaptador;
    }

    public Vector<Dibujo> getVectorDibujos() {
        return vectorDibujos;
    }

    public AdaptadorGaleria getAdaptadorGaleria() {
        refresca();
        return adaptadorGaleria;
    }

    public Vector<YouMotic> getVectorYouMotics() {
        refresca();
        return vectorYouMotics;
    }
}
