package com.youmotic.carpasol.youmotic;

/**
 * Created by Carlos Pascual Olmos on 25/08/2015.
 */
import org.opencv.core.Core;
import org.opencv.core.CvType;
import org.opencv.core.Mat;
import org.opencv.core.MatOfFloat;
import org.opencv.core.Scalar;
import org.opencv.core.Size;
import org.opencv.imgproc.Imgproc;

public class Procesador {


    Mat red;
    Mat green;
    Mat blue;
    Mat maxGB;
    Mat salida_rojo;
    Mat salida_sobel;
    Mat Gx;
    Mat Gy;
    Mat Gx2;
    Mat Gy2;
    Mat ModGrad;
    Mat ModGrad2;


    public Procesador() {
        maxGB = new Mat();
        red = new Mat();
        green = new Mat();
        blue = new Mat();
        salida_rojo = new Mat();
        salida_sobel = new Mat();
    }

    public Mat procesa(Mat entrada, Mat entradacolor) {

        Core.extractChannel(entradacolor, red, 0);
        Core.extractChannel(entradacolor, green, 1);
        Core.extractChannel(entradacolor, blue, 2);
        Core.add(green, blue, salida_rojo);
        Scalar cantidad = new Scalar(80);
        Core.subtract(salida_rojo, cantidad, salida_rojo);
        Imgproc.GaussianBlur(entrada, entrada, new Size(3, 3), 3);
        Imgproc.equalizeHist(entrada, entrada);

        Mat output = new Mat();

        if (OpenYouMotic.filtro == "Normal") {
            output = entradacolor;
        } else if (OpenYouMotic.filtro == "Filtro1") {
            output = salida_rojo;
        } else if (OpenYouMotic.filtro == "Filtro2") {

            Gx = new MatOfFloat();
            Gy = new MatOfFloat();
            Imgproc.Sobel(entrada, Gx, CvType.CV_32FC1, 1, 0);
            Imgproc.Sobel(entrada, Gy, CvType.CV_32FC1, 0, 1);
            Gx2 = new MatOfFloat();
            Gy2 = new MatOfFloat();
            Core.multiply(Gx, Gx, Gx2);
            Core.multiply(Gy, Gy, Gy2);
            ModGrad2 = new MatOfFloat();
            Core.add(Gx2, Gy2, ModGrad2);
            ModGrad = new MatOfFloat();
            Core.sqrt(ModGrad2, ModGrad);

            Imgproc.threshold(ModGrad, ModGrad, 40, 255, Imgproc.THRESH_BINARY_INV);

            ModGrad.convertTo(salida_sobel, 0);

            Gx = null;
            Gy = null;
            Gx2 = null;
            Gy2 = null;
            ModGrad = null;
            ModGrad2 = null;
            System.gc();

            output = salida_sobel;

        } else if (OpenYouMotic.filtro == "Filtro3") {
            Core.insertChannel(red, entradacolor, 0);
            Core.insertChannel(red, entradacolor, 1);
            output = entradacolor;
        }

        else if (OpenYouMotic.filtro == "Filtro4") {
            Core.insertChannel(red, entradacolor, 1);
            Core.insertChannel(blue, entradacolor, 0);
            output = entradacolor;
        }

        else if (OpenYouMotic.filtro == "Filtro5") {
            Core.insertChannel(red, entradacolor, 2);
            Core.insertChannel(blue, entradacolor, 0);
            output = entradacolor;
        }

        else if (OpenYouMotic.filtro == "Filtro6") {

            Core.insertChannel(salida_rojo, entradacolor, 1);
            Core.insertChannel(salida_rojo, entradacolor, 2);
            output = entradacolor;
        }

        else if (OpenYouMotic.filtro == "Filtro7") {

            Mat canny = new Mat();
            Imgproc.Canny(entrada, canny, 50, 100);
            output = canny;

        } else if (OpenYouMotic.filtro == "Filtro8") {

            Mat canny = new Mat();
            Imgproc.Canny(entrada, canny, 50, 100);
            Scalar cien = new Scalar(100);
            Core.subtract(canny, cien, canny);
            Size size = red.size();
            Size size_peq = new Size();
            size_peq.width = size.width / 2;
            size_peq.height = size.height / 2;

            Imgproc.resize(red, red, size_peq);
            Mat matriz_temporal = new Mat(size_peq, CvType.CV_8UC3);
            int repetitions = 10;
            for (int i = 0; i < repetitions; i++) {
                Imgproc.bilateralFilter(red, matriz_temporal, 7, 7, 7);
                Imgproc.bilateralFilter(matriz_temporal, red, 7, 7, 7);

            }

            Imgproc.resize(green, green, size_peq);
            for (int i = 0; i < repetitions; i++) {
                Imgproc.bilateralFilter(green, matriz_temporal, 7, 7, 7);
                Imgproc.bilateralFilter(matriz_temporal, green, 7, 7, 7);

            }

            Imgproc.resize(blue, blue, size_peq);
            for (int i = 0; i < repetitions; i++) {
                Imgproc.bilateralFilter(blue, matriz_temporal, 7, 7, 7);
                Imgproc.bilateralFilter(matriz_temporal, blue, 7, 7, 7);

            }


            Imgproc.resize(red, red, size);
            Imgproc.resize(green, green, size);
            Imgproc.resize(blue, blue, size);
            Core.insertChannel(red, entradacolor, 0);
            Core.insertChannel(green, entradacolor, 1);
            Core.insertChannel(blue, entradacolor, 2);


            output = entradacolor;

        } else if (OpenYouMotic.filtro == "Filtro9") {

            Mat canny = new Mat();
            Imgproc.Canny(entrada, canny, 50, 100);
            Scalar cien = new Scalar(100);
            Core.subtract(canny, cien, canny);
            Size size = red.size();
            Size size_peq = new Size();
            size_peq.width = size.width / 2;
            size_peq.height = size.height / 2;

            Imgproc.resize(red, red, size_peq);
            Mat matriz_temporal = new Mat(size_peq, CvType.CV_8UC3);
            int repetitions = 10;
            for (int i = 0; i < repetitions; i++) {
                Imgproc.bilateralFilter(red, matriz_temporal, 7, 7, 7);
                Imgproc.bilateralFilter(matriz_temporal, red, 7, 7, 7);

            }
            Imgproc.resize(green, green, size_peq);
            for (int i = 0; i < repetitions; i++) {
                Imgproc.bilateralFilter(green, matriz_temporal, 7, 7, 7);
                Imgproc.bilateralFilter(matriz_temporal, green, 7, 7, 7);

            }
            Imgproc.resize(blue, blue, size_peq);
            for (int i = 0; i < repetitions; i++) {
                Imgproc.bilateralFilter(blue, matriz_temporal, 7, 7, 7);
                Imgproc.bilateralFilter(matriz_temporal, blue, 7, 7, 7);

            }


            Imgproc.resize(red, red, size);
            Imgproc.resize(green, green, size);
            Imgproc.resize(blue, blue, size);
            Core.insertChannel(red, entradacolor, 2);
            Core.insertChannel(green, entradacolor, 1);
            Core.insertChannel(blue, entradacolor, 0);


            output = entradacolor;
        } else if (OpenYouMotic.filtro == "Filtro10") {

            Mat canny = new Mat();
            Imgproc.Canny(entrada, canny, 50, 100);
            Scalar cien = new Scalar(100);
            Core.subtract(canny, cien, canny);
            Size size = red.size();
            Size size_peq = new Size();
            size_peq.width = size.width / 2;
            size_peq.height = size.height / 2;

            Imgproc.resize(red, red, size_peq);
            Mat matriz_temporal = new Mat(size_peq, CvType.CV_8UC3);
            int repetitions = 10;
            for (int i = 0; i < repetitions; i++) {
                Imgproc.bilateralFilter(red, matriz_temporal, 7, 7, 7);
                Imgproc.bilateralFilter(matriz_temporal, red, 7, 7, 7);

            }


            Imgproc.resize(red, red, size);

            Core.insertChannel(red, entradacolor, 1);
            Core.insertChannel(red, entradacolor, 0);


            output = entradacolor;
        } else if (OpenYouMotic.filtro == "Filtro11") {

            Gx = new MatOfFloat();
            Gy = new MatOfFloat();
            Imgproc.Sobel(entrada, Gx, CvType.CV_32FC1, 1, 0);
            Imgproc.Sobel(entrada, Gy, CvType.CV_32FC1, 0, 1);
            Gx2 = new MatOfFloat();
            Gy2 = new MatOfFloat();
            Core.multiply(Gx, Gx, Gx2);
            Core.multiply(Gy, Gy, Gy2);
            ModGrad2 = new MatOfFloat();
            Core.add(Gx2, Gy2, ModGrad2);
            ModGrad = new MatOfFloat();
            Core.sqrt(ModGrad2, ModGrad);

            Imgproc.threshold(ModGrad, ModGrad, 40, 255, Imgproc.THRESH_BINARY_INV);

            ModGrad.convertTo(salida_sobel, 0);

            Gx = null;
            Gy = null;
            Gx2 = null;
            Gy2 = null;
            ModGrad = null;
            ModGrad2 = null;
            System.gc();

            Mat canny = new Mat();
            Imgproc.Canny(entrada, canny, 50, 100);
            Scalar cien = new Scalar(100);
            Core.subtract(canny, cien, canny);
            Size size = red.size();
            Size size_peq = new Size();
            size_peq.width = size.width / 2;
            size_peq.height = size.height / 2;

            Imgproc.resize(red, red, size_peq);
            Mat matriz_temporal = new Mat(size_peq, CvType.CV_8UC3);
            int repetitions = 10;
            for (int i = 0; i < repetitions; i++) {
                Imgproc.bilateralFilter(red, matriz_temporal, 7, 7, 7);
                Imgproc.bilateralFilter(matriz_temporal, red, 7, 7, 7);
            }

            Imgproc.resize(red, red, size);
            Imgproc.resize(salida_sobel, salida_sobel, size);
            //Core.insertChannel(red, entradacolor, 0);
            Core.insertChannel(red, entradacolor, 2);
            Core.insertChannel(red, entradacolor, 1);


            canny.convertTo(canny, CvType.CV_8UC3, 0.8);
            Core.insertChannel(canny, entradacolor, 2);
            Scalar numero = new Scalar(100);
            Core.add(entradacolor, numero, entradacolor);


            output = entradacolor;
        }

        return output;

    }
}
