package com.youmotic.carpasol.youmotic.fragments;

import android.app.Activity;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.GridView;

import com.youmotic.carpasol.youmotic.MrYouMotic;
import com.youmotic.carpasol.youmotic.AdaptadorDibujosFiltro;
import com.youmotic.carpasol.youmotic.Dibujo;
import com.youmotic.carpasol.youmotic.ObjetosGlobales;
import com.youmotic.carpasol.youmotic.R;

import java.util.Vector;

/**
 * Created by User on 14/05/2015.
 */
public class SelectorFragment extends Fragment {
    private Activity actividad;
    private GridView gridview;
    private AdaptadorDibujosFiltro adaptador;
    private Vector<Dibujo> vectorDibujos;

    @Override
    public void onAttach(Activity actividad) { //onAttach es llamado cuando el fragment se asocia a la actividad
        super.onAttach(actividad);
        this.actividad = actividad;
        ObjetosGlobales app = (ObjetosGlobales) actividad.getApplication();
        adaptador = app.getAdaptador();
        vectorDibujos = app.getVectorDibujos();
    }

    @Override
    public View onCreateView(LayoutInflater inflador, ViewGroup contenedor,//asociamos la vista en onCreateView
                             Bundle savedInstanceState) {
        View vista = inflador.inflate(R.layout.fragment_selector, contenedor, false);// LayoutInflater que nos permite crear la vista a partir de un XML
        gridview = (GridView) vista.findViewById(R.id.gridview);
        gridview.setAdapter(adaptador);
        gridview.setOnItemClickListener(new AdapterView.OnItemClickListener() {//cuando se pulsa se muestra la imagen del elemento seleccionado (AQUI LO CAMBIO PARA AÑADIR ELEMENTOS.
            public void onItemClick(AdapterView<?> parent, View v,
                                    int posicion, long id) {
                ((MrYouMotic) actividad).mostrarDetalle((int) id);
            }
        });
        return vista;
    }
}
